Loading...
Searching...
No Matches
irr::video::IRenderTarget Struct Reference

`#include <IVideoDriver.h>`

## Public Member Functions

| IRenderTarget (E_RENDER_TARGET target, E_COLOR_PLANE colorMask=ECP_ALL, E_BLEND_FACTOR blendFuncSrc=EBF_ONE, E_BLEND_FACTOR blendFuncDst=EBF_ONE_MINUS_SRC_ALPHA, E_BLEND_OPERATION blendOp=EBO_NONE)
| IRenderTarget (ITexture *texture, E_COLOR_PLANE colorMask=ECP_ALL, E_BLEND_FACTOR blendFuncSrc=EBF_ONE, E_BLEND_FACTOR blendFuncDst=EBF_ONE_MINUS_SRC_ALPHA, E_BLEND_OPERATION blendOp=EBO_NONE)
bool | operator!= (const IRenderTarget &other) const

## Public Attributes

E_BLEND_FACTOR | BlendFuncDst:4
E_BLEND_FACTOR | BlendFuncSrc:4
E_BLEND_OPERATION | BlendOp:4
E_COLOR_PLANE | ColorMask:8
ITexture * | RenderTexture
E_RENDER_TARGET | TargetType:8

## Detailed Description

Definition at line 211 of file IVideoDriver.h.

## Constructor & Destructor Documentation

## IRenderTarget() [1/2]

irr::video::IRenderTarget::IRenderTarget | ( | ITexture * | texture,
|  | E_COLOR_PLANE | colorMask = ECP_ALL,
|  | E_BLEND_FACTOR | blendFuncSrc = EBF_ONE,
|  | E_BLEND_FACTOR | blendFuncDst = EBF_ONE_MINUS_SRC_ALPHA,
|  | E_BLEND_OPERATION | blendOp = EBO_NONE )

inline

Definition at line 213 of file IVideoDriver.h.

References BlendFuncDst, BlendFuncSrc, BlendOp, ColorMask, irr::video::EBF_ONE, irr::video::EBF_ONE_MINUS_SRC_ALPHA, irr::video::EBO_NONE, irr::video::ECP_ALL, irr::video::ERT_RENDER_TEXTURE, RenderTexture, and TargetType.

Referenced by operator!=().

## IRenderTarget() [2/2]

irr::video::IRenderTarget::IRenderTarget | ( | E_RENDER_TARGET | target,
|  | E_COLOR_PLANE | colorMask = ECP_ALL,
|  | E_BLEND_FACTOR | blendFuncSrc = EBF_ONE,
|  | E_BLEND_FACTOR | blendFuncDst = EBF_ONE_MINUS_SRC_ALPHA,
|  | E_BLEND_OPERATION | blendOp = EBO_NONE )

inline

Definition at line 222 of file IVideoDriver.h.

References BlendFuncDst, BlendFuncSrc, BlendOp, ColorMask, irr::video::EBF_ONE, irr::video::EBF_ONE_MINUS_SRC_ALPHA, irr::video::EBO_NONE, irr::video::ECP_ALL, RenderTexture, and TargetType.

## Member Function Documentation

## operator!=()

bool irr::video::IRenderTarget::operator!= | ( | const IRenderTarget & | other | ) | const

inline

Definition at line 231 of file IVideoDriver.h.

References IRenderTarget(), BlendFuncDst, BlendFuncSrc, BlendOp, ColorMask, RenderTexture, and TargetType.

## Member Data Documentation

## BlendFuncDst

E_BLEND_FACTOR irr::video::IRenderTarget::BlendFuncDst

Definition at line 244 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

## BlendFuncSrc

E_BLEND_FACTOR irr::video::IRenderTarget::BlendFuncSrc

Definition at line 243 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

## BlendOp

E_BLEND_OPERATION irr::video::IRenderTarget::BlendOp

Definition at line 245 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

## ColorMask

E_COLOR_PLANE irr::video::IRenderTarget::ColorMask

Definition at line 242 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

## RenderTexture

ITexture* irr::video::IRenderTarget::RenderTexture

Definition at line 240 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

## TargetType

E_RENDER_TARGET irr::video::IRenderTarget::TargetType

Definition at line 241 of file IVideoDriver.h.

Referenced by IRenderTarget(), IRenderTarget(), and operator!=().

The documentation for this struct was generated from the following file:

- IVideoDriver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0